
// #ifndef VUE3
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false
import request from '@/util/request.js'
import helper from '@/common/helper.js'
import WXBizDataCrypt from '@/util/WXBizDataCrypt.js'
import uView from '@/uni_modules/uview-ui'
import store from './store'
import share from '@/js_sdk/share.js'
Vue.mixin(share)
Vue.use(uView)
import {parseTime} from '@/util/util'
Vue.prototype.$request = request
Vue.prototype.$helper = helper
Vue.prototype.$store = store
Vue.prototype.parseTime = parseTime
App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif